Name:           perl-Net-CIDR-Lite
Version:        0.21
Release:        23
Summary:        Net::CIDR::Lite - Perl extension for merging IPv4 or IPv6 CIDR addresses
License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/Net::CIDR::Lite
Source0:        https://cpan.metacpan.org/authors/id/D/DO/DOUGW/Net-CIDR-Lite-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(strict) perl(Test) perl(Test::More) perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) perl(vars)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Faster alternative to Net::CIDR when merging a large number of CIDR address ranges. Works for IPv4
and IPv6 addresses.

%package        help
Summary:        Help documents for %{name}

%description help
Man pages and other help documents for %{name}.

%prep
%autosetup -n Net-CIDR-Lite-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist | xargs rm -rf
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc README
%{perl_vendorlib}/Net/

%files help
%doc Changes
%{_mandir}/man3/*

%changelog
* Sat Dec 21 2019 zhouyihang <zhouyihang1@huawei.com> - 0.21-23
- Package init
